<?php
///////////////////////////////////////////////////
//2010 (C)
//Карпухин Павел
///////////////////////////////////////////////////
require_once "../utils/chlang.php";

$title=$titlepage = $TEXT['menu-btn22-film'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm_film.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm_film.php"; exit();}

if(empty($_POST['izd_id'])) {puterror($result2['skin'],$TEXT['error-no-id']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['izd_id'])>5) {puterror($result2['skin'],$TEXT['error-id-long']); require_once "../utils/bottom_adm_film.php"; exit();}
if(empty($_POST['izd'])) {puterror($result2['skin'],$TEXT['error-izd1']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['izd'])>255) {puterror($result2['skin'],$TEXT['error-izd2']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['addr'])>255) {puterror($result2['skin'],$TEXT['error-izd10']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['tip_pr'])>5) {puterror($result2['skin'],$TEXT['error-izd11']); require_once "../utils/bottom_adm_film.php"; exit();}

if(isset($_POST['izd'])) {$izd=trim($_POST['izd']);}
 else {$izd="";}
  if(empty($izd)) {puterror($result2['skin'],$TEXT['error-spaces']); require_once "../utils/bottom_adm_film.php"; exit();}

  $_POST['izd'] = rep($_POST['izd']);
  $_POST['izd_id'] = rep($_POST['izd_id']);
  $_POST['addr'] = rep($_POST['addr']);
  $_POST['tip_pr'] = rep($_POST['tip_pr']);

  //*************************************
  //Информация для лога
  $query10 = "SELECT `izdatelstvo` FROM `tbl_izdatelstvo` WHERE `izd_id`='".$_POST['izd_id']."' ";
  $result10 = mysqli_query($dbcnx,$query10);
  if(!$result10) {puterror($result2['skin'],$TEXT['error-tbl6']); require_once "../utils/bottom_adm_film.php"; exit();}
      $result_lib = mysqli_fetch_array($result10);
      if($_POST['izd']!=$result_lib['izdatelstvo']) {
          $query9 = "SELECT `izdatelstvo` FROM `tbl_izdatelstvo` WHERE `izdatelstvo`='".$_POST['izd']."' AND use_prog='2' ";
            $result9 = mysqli_query($dbcnx,$query9);
              if(!$result9) {puterror($result2['skin'],$TEXT['error-tbl6']); require_once "../utils/bottom_adm_film.php"; exit();}
                 if(mysqli_num_rows($result9)>0) {puterror($result2['skin'],$TEXT['error-double']); require_once "../utils/bottom_adm_film.php"; exit();}
                   else {$name_izd = "`izdatelstvo` = '".$_POST['izd']."', ";}
        }
       else {$name_izd = "";}

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-izd3'];
  $what = $result_lib['izdatelstvo'].$TEXT['log-id'].$_POST['izd_id'];
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************
  $query = "UPDATE `tbl_izdatelstvo` SET $name_izd `site_protocol` = '".$_POST['tip_pr']."', `site_name` = '".$_POST['addr']."' WHERE `izd_id`='".$_POST['izd_id']."' LIMIT 1";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm_film.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl6']); require_once "../utils/bottom_adm_film.php"; exit();}
require_once "../utils/bottom_adm_film.php";
?>